# PayPal Credit Demo using NVP API with Checkout.js v4
Servlet Web Application showcasing PayPal Credit with NVP API using Checkout.js v4

### Quick Set up and run

1) Locate the ppcredit.war file in the dist folder.
2) Copy the war file and deploy in your Apache Tomcat webapps folder.
3) Opening localhost:8080/ppcredit in your browser will fire the home page.


### Eclipse Setup

Clone the repository to your local machine

Open Eclipse -> File -> Import -> General -> Existing projects to into workspace

Browse the location of the project - Finish the import

Add Apachce Tomcat to Project Facets Runtime 

###### Jars Needed

> Project Properties - > Java Build Path - > Add Library - > Server Runtime - > Apache Tomcat

> json-20140107.jar (Helper for handling Json)

> okhttp-3.9.0.jar (Http request)

> okio-1.13.0.jar (Http request)

The above jars are available in lib folder under WebContent -> WEB-INF -> lib

##### Build path

1) Add the above jars to your java built path (Right click the project in eclipse choose properties -> Java Build Path -> Add Jars -> Select the current project, browse to lib folder select all the jars and complete the process)
2) Add the appropriate Java Runtime Environment to your build path
3) Add Apache Tomcat to your build path

###### Run

1) Configure Apache Tomcat on your eclipse
2) Right click the project Run As -> Run on Server.
3) Open the below URL in browser

>http://localhost:8080/{Project_Folder_Name}/index.html


###### Flow

Clicking on the Blue PayPal Credit button will showcase the PayPal Credit flow.


###### App Configuration 

Application configuration is configured in 'config.properties' file found in src - > config - > config.properties file

Change the config according to your Seller credentials (USER, PWD, SIGNATURE) to try out PayPal Credit for your seller.

Setting 'SANDBOX_FLAG' field in config.properties file to 'true' will run the app in sandbox environment and 'false' will run in Live environment.

###### Package Explanation

>com.paypal.DoEC.java - Holds DoEC class to generate the payload needed for executePayment api call.

>com.paypal.SetEC.java - Holds SetEC class to generate the payload needed for createPayment api call.

>com.paypal.GetEC - Holds GetEC class to generate the payload needed for getTransactionDetails api call.

HTML files are placed in WebContent folder

Note: Use TLSv1.2 as in given code to avoid SSL handshake failures.
